package com.jorpelu.ServicioDeProductos;

import java.util.ArrayList;
import java.util.List;

public class ProductosDaoImplMemory implements ISercicioProductoDAO {
    List<Producto> productos = new ArrayList<>();


    @Override
    public Producto findByIndex(int index) {
        return productos.get(index);
    }

    @Override
    public List<Producto> findAll() {
        return productos;
    }

    @Override
    public void insert(Producto producto) {
        productos.add(producto);
    }

    @Override
    public void edit(int index, Producto producto) {
        productos.remove(index);
        productos.add(index,producto);
    }

    @Override
    public void delete(int index) {
        productos.remove(index);
    }

    @Override
    public void delete(Producto producto) {
        productos.remove(producto);
    }

    public void init() {
        insert(new Producto(1,"pr1", "ds1", 100 , (float) 3.2));
        insert(new Producto(2,"pr2", "ds2", 200 , (float) 3.3));
        insert(new Producto(3,"pr3", "ds3", 300 , (float) 3.4));
        insert(new Producto(4,"pr4", "ds4", 400 , (float) 3.5));
    }
}
